## gprename 2.6

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	install -d $(CURDIR)/build
 	install -d $(CURDIR)/build/locale
 	install -d $(CURDIR)/build/locale/ca
+	install -d $(CURDIR)/build/locale/cn_ZH
 	install -d $(CURDIR)/build/locale/de
 	install -d $(CURDIR)/build/locale/es
 	install -d $(CURDIR)/build/locale/fr
@@ -25,6 +26,7 @@
 install: uninstall build
 	# Compile all .po files to .mo
 	msgfmt -o build/locale/ca.mo	locale/ca.po
+	msgfmt -o build/locale/cn_ZH.mo	locale/cn_ZH.po
 	msgfmt -o build/locale/de.mo	locale/de.po
 	msgfmt -o build/locale/es.mo	locale/es.po
 	msgfmt -o build/locale/fr.mo	locale/fr.po
@@ -43,6 +45,7 @@
 	install -d $(DESTDIR)/share/man
 	install -d $(DESTDIR)/share/man/man1
 	install -d $(DESTDIR)/share/locale/ca/LC_MESSAGES
+	install -d $(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/de/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/es/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/fr/LC_MESSAGES
@@ -55,9 +58,11 @@
 	# Copy all files in the filesystem
 	install -m 755 build/gprename		$(DESTDIR)/bin/
 	install -m 644 build/gprename.desktop	$(DESTDIR)/share/applications/
+	install -m 644 gprename.schemas		$(DESTDIR)/share/applications
 	install -m 644 icon/*			$(DESTDIR)/share/pixmaps/gprename
 	install -m 644 man/gprename.1 		$(DESTDIR)/share/man/man1/
 	install -m 644 build/locale/ca.mo	$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
+	install -m 644 build/locale/cn_ZH.mo	$(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/de.mo	$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/es.mo	$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/fr.mo	$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo
@@ -72,8 +77,10 @@
 uninstall: clean
 	rm -f $(DESTDIR)/bin/gprename
 	rm -f $(DESTDIR)/share/applications/gprename.desktop
+	rm -f $(DESTDIR)/share/applications/gprename.schemas
 	rm -f $(DESTDIR)/share/man/man1/gprename.1
 	rm -f $(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
+	rm -f $(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo
