## gprename 20140325

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,8 @@
 	# Create directories
 	install -d "$(DESTDIR)"
 	install -d "$(DESTDIR)/bin"
-	install -d "$(DESTDIR)/share/pixmaps"
-	install -d "$(DESTDIR)/share/pixmaps/gprename"
+	install -d "/usr/share"
+	install -d "/usr/share/icons"
 	install -d "$(DESTDIR)/share/applications"
 	install -d "$(DESTDIR)/share/man"
 	install -d "$(DESTDIR)/share/man/man1"
@@ -65,30 +65,30 @@
 	install -d "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES"
 
 	# Copy all files in the filesystem
-	install -m 755 build/gprename		"$(DESTDIR)/bin/"
-	install -m 644 build/gprename.desktop	"$(DESTDIR)/share/applications/"
-	install -m 644 gprename-nautilus-actions.xml	"$(DESTDIR)/share/applications/"
-	install -m 644 icon/*			"$(DESTDIR)/share/pixmaps/gprename"
-	install -m 644 man/gprename.1 		"$(DESTDIR)/share/man/man1/"
-	install -m 644 build/locale/ca.mo	"$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/de.mo	"$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/es.mo	"$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/et.mo	"$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/fr.mo	"$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/id.mo	"$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/it.mo	"$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/nl.mo	"$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/pl.mo	"$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/pt_BR.mo	"$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/ru.mo	"$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/sv.mo	"$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/zh_CN.mo	"$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-
+	install -m 755 build/gprename                "$(DESTDIR)/bin/"
+	install -m 644 gprename-nautilus-actions.xml "$(DESTDIR)/share/applications/"
+	install -m 644 icon/gprename.png             "/usr/share/icons/"
+	install -m 644 man/gprename.1                "$(DESTDIR)/share/man/man1/"
+	install -m 644 build/locale/ca.mo            "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/de.mo            "$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/es.mo            "$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/et.mo            "$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/fr.mo            "$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/id.mo            "$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/it.mo            "$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/nl.mo            "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/pl.mo            "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/pt_BR.mo         "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/ru.mo            "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/sv.mo            "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/zh_CN.mo         "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
+	desktop-file-install bin/gprename.desktop
+	update-desktop-database
 	@echo "Installation completed."
 
 uninstall: clean
 	rm -f  "$(DESTDIR)/bin/gprename"
-	rm -f  "$(DESTDIR)/share/applications/gprename.desktop"
+	rm -f  "/usr/share/applications/gprename.desktop"
 	rm -f  "$(DESTDIR)/share/applications/gprename-nautilus-actions.xml"
 	rm -f  "$(DESTDIR)/share/man/man1/gprename.1"
 	rm -f  "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
@@ -104,7 +104,8 @@
 	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-	rm -fr "$(DESTDIR)/share/pixmaps/gprename"
+	rm -fr "/usr/share/icons/gprename"
+	update-desktop-database
 
 clean:
 	rm -rf build
