## gprename 20201214

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	install -d "$(CURDIR)/build/locale/nl"
 	install -d "$(CURDIR)/build/locale/pl"
 	install -d "$(CURDIR)/build/locale/pt_BR"
+	install -d "$(CURDIR)/build/locale/ro"
 	install -d "$(CURDIR)/build/locale/ru"
 	install -d "$(CURDIR)/build/locale/sv"
 	install -d "$(CURDIR)/build/locale/zh_CN"
@@ -38,6 +39,7 @@
 	msgfmt -o build/locale/nl.mo 	locale/nl.po
 	msgfmt -o build/locale/pl.mo 	locale/pl.po
 	msgfmt -o build/locale/pt_BR.mo	locale/pt_BR.po
+	msgfmt -o build/locale/ro.mo	locale/ro.po
 	msgfmt -o build/locale/ru.mo	locale/ru.po
 	msgfmt -o build/locale/sv.mo	locale/sv.po
 	msgfmt -o build/locale/zh_CN.mo	locale/zh_CN.po
@@ -60,6 +62,7 @@
 	install -d "$(DESTDIR)/share/locale/nl/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/pl/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES"
+	install -d "$(DESTDIR)/share/locale/ro/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/ru/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/sv/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES"
@@ -79,6 +82,7 @@
 	install -m 644 build/locale/nl.mo            "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/pl.mo            "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/pt_BR.mo         "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/ro.mo            "$(DESTDIR)/share/locale/ro/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/ru.mo            "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/sv.mo            "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/zh_CN.mo         "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
@@ -101,6 +105,7 @@
 	rm -f  "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	rm -f  "$(DESTDIR)/share/locale/ro/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
