=== debian/changelog ===
gprename (20201214-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #860557)
    - Ported to libgtk3-perl. (Closes: #912880)
  * debian/control: Added Homepage.

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 21:26:21 +0200

gprename (20140325-1) unstable; urgency=low

  * New upstream release (Closes: #693118)
    - Fixed directory with dot Bug (Closes: #781182)
  * debian/control:
    - Updated Standard-Version
    - Added desktop-file-utils to Build-Dependencies
    - Updated Build-Dependencies for debhelper
    - Removed Build-Dependency on quilt
  * debian/compat:
    - Changed compat level to v9
  * debian/rules:
    - Removed patch and unpatch targets as they are not needed anymore
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed README.source
  * Updated debian/copyright to copyright-format 1.0

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 May 2015 21:39:57 +0000
