=== debian/control ===
Source: gprename
Section: utils
Priority: optional
Maintainer: Marvin Stark <marv@der-marv.de>
Build-Depends: debhelper (>= 9.0.0), desktop-file-utils
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/gprename/

Package: gprename
Architecture: all
Homepage: http://gprename.sourceforge.net
Depends: ${perl:Depends}, ${misc:Depends}, libglib-perl, libpango-perl, libgtk3-perl, liblocale-gettext-perl, libintl-perl
Description: Complete batch renamer for Linux
 GPRename is a complete batch renamer for files and directorys.
 GPRename easily can replace, remove, insert, delete and number
 consecutively files and directorys.
