## gprename 20210415

=== debian/changelog ===
gprename (20210415-1) unstable; urgency=medium

  * New upstream release.
    - Thanks Paulo Roberto Alves de Oliveira (kretcheu) for your help!
  * New maintainer. (Closes: #982081)
    - Thanks Marvin Stark!
  * Ack Adrian Bunk in debian/copyright. Thanks, Adrian!
  * Spanish translation already added. (Closes: #986035)
  * Bump debian/watch to version 4.
  * Bump Standards-Version to 4.6.0.1 (see changes below).
  * Add files:
    - debian/upstream/metadata
    - debian/source/format
    - debian/postinst (update MIME database)
  * Delete unnecessary or not used files:
    - debian/compat
    - debian/menu (Debian Policy, 9.6)
    - debian/patches/gprename.desktop.diff
  * debian/control:
    - Bump debhelper compatibility level to 13.
    - Add Rules-Requires-Root (Debian Policy, 4.9.2).
    - Add Vcs-* fields.
    - Remove 'desktop-file-utils' from build dependencies.
    - Improve descriptions.
  * debian/rules: simplified (fix no-dh-sequencer in lintian).
  * debian/patches/*
    - Rename files and add suffix '.patch'.
  * debian/patches/001-fix-Makefile.patch
    - Remove 'clean' dependency from 'uninstall' target.
    - Remove 'uninstall' dependency from 'install' target.
    - Do not install nautilus action XML (obsolete).
    - Fix $(DESTDIR)$(PREFIX), replacing fixed paths.
    - Fix icons' paths (Debian Policy, 9.6). (Closes: #985168, #863997)
    - Remove commented lines created by previous Debian edits.
    - Remove perl substitution (fixed by patch 002).
  * debian/patches/002-gprename-path-corrections.patch
    - Use '/usr/share/locale' path (FHS 3.0).

 -- Thiago Pezzo <pezzo@protonmail.com>  Mon, 31 Jan 2022 12:15:12 -0300
