=== debian/control ===
Source: gprename
Section: utils
Priority: optional
Maintainer: Thiago Pezzo <pezzo@protonmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/debian/gprename.git
Vcs-Browser: https://salsa.debian.org/debian/gprename
Homepage: https://sourceforge.net/projects/gprename/
Rules-Requires-Root: no

Package: gprename
Architecture: all
Homepage: http://gprename.sourceforge.net
Depends: libglib-perl,
         libgtk3-perl,
         libintl-perl,
         liblocale-gettext-perl,
         libpango-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: complete batch renamer for Linux
 GPRename is a complete batch renamer for files and directories.
 It can easily replace, remove, insert, delete, and number
 consecutively files and directories using a graphical interface (GUI).
