=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@
