=== debian/watch ===
version=4
https://sf.net/gprename/ gprename-@ANY_VERSION@@ARCHIVE_EXT@
